using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATScheduleType")]
public partial class AtscheduleType
{
    [Key]
    public int ScheduleTypeId { get; set; }

    [StringLength(50)]
    public string ScheduleTypeName { get; set; } = null!;

    [InverseProperty("ScheduleType")]
    public virtual ICollection<AtscheduledItem> AtscheduledItems { get; set; } = new List<AtscheduledItem>();
}
